Name:          sun-sjsxp
Version:       1.0.2
Release:       %mkrel 8
Summary:       Sun Java Streaming XML Parser
Group:         Development/Java
License:       CDDL, GPL
Url:           http://sjsxp.java.net/
# svn export https://svn.java.net/svn/sjsxp~svn/tags/sjsxp-1_0_2/zephyr/ sjsxp-1.0.2 
# tar czf sjsxp-1.0.2-src-svn.tar.gz sjsxp-1.0.2
Source0:       sjsxp-1.0.2-src-svn.tar.gz
Source1:       sjsxp-1.0.2.pom

BuildArch:     noarch

BuildRequires: java-devel
BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: bea-stax-api
BuildRequires: jpackage-utils
BuildRequires: junit
BuildRequires: sax2
BuildRequires: xpp3
#BuildRequires: maven-repository-importer
#BuildRequires: sfx4j
Requires:      bea-stax-api
Requires:      jpackage-utils

%description
The Sun Java Streaming XML Parser (SJSXP) is an efficient implementation of the
StAX API which is fully compliant with the XML 1.0 and Namespace 1.0 specifications.

%package       javadoc
Summary:       Javadoc for %{name}
Group:         Documentation

%description   javadoc
Sun Java Streaming XML Parser.

This package contains javadoc for %{name}.

%package       manual
Summary:       Manual for %{name}
Group:         Documentation
Requires:      %{name} = %{version}-%{release}

%description   manual
Sun Java Streaming XML Parser (SJSXP).

This package contains documentation for %{name}.

%package       samples
Summary:       Examples for %{name}
Group:         Development/Java
Requires:      %{name} = %{version}-%{release}

%description   samples
Sun Java Streaming XML Parser (SJSXP).

This package contains demonstrations and
samples for %{name}.

%prep
%setup -q -n sjsxp-%{version}

find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;

ln -sf $(build-classpath ant) lib/optional.jar
ln -sf $(build-classpath junit) lib/junit.jar
ln -sf $(build-classpath bea-stax-api) lib/jsr173_1.0_api.jar
ln -sf $(build-classpath bea-stax-api) lib/jsr173_api.jar
ln -sf $(build-classpath sax2) lib/sax.jar
ln -sf $(build-classpath xpp3) lib/xpp3-1.1.3.4.G.jar

#ln -sf $(build-classpath maven-repository-importer) tools/lib/maven-repository-importer.jar
#ln -sf $(build-classpath sfx4j) util/sfx4j-1.0-RC2.jar

%build

export CLASSPATH=
export OPT_JAR_LIST=`%{__cat} %{_sysconfdir}/ant.d/junit`

%ant jars javadocs

%install

mkdir -p %{buildroot}%{_javadir}
install -pm 644 build/sjsxp.jar \
  %{buildroot}%{_javadir}/
install -pm 644 build/sjsxpSamples.jar \
  %{buildroot}%{_javadir}/sjsxpSamples.jar

(
  cd %{buildroot}%{_javadir}
  ln -sf sjsxp.jar %{name}.jar
)

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
sed -i "s|<groupId>javax.xml.stream</groupId>|<groupId>stax</groupId>|" %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_datadir}/sjsxp/data
install -pm 644 build/data/*.xml %{buildroot}%{_datadir}/sjsxp/data/

mkdir -p %{buildroot}%{_docdir}/sjsxp
cp -pr LICENSE performance-ideas StAX-Project-Schedule.html TODO docs/* %{buildroot}%{_docdir}/sjsxp

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr build/docs/javadocs/sjsxp/* %{buildroot}%{_javadocdir}/%{name}
cp -a  build/docs/javadocs/xni %{buildroot}%{_javadocdir}/%{name}/

%files -f .mfiles
%{_javadir}/sjsxp.jar
%{_datadir}/sjsxp
%{_docdir}/sjsxp/LICENSE

%pre javadoc
[ $1 -gt 1 ] && [ -L %{_javadocdir}/%{name} ] && \
rm -rf $(readlink -f %{_javadocdir}/%{name}) %{_javadocdir}/%{name} || :

%files javadoc
%{_javadocdir}/%{name}/

%files manual
%{_docdir}/sjsxp/*
%exclude %{_docdir}/sjsxp/LICENSE

%files samples
%{_javadir}/sjsxpSamples.jar


%changelog
* Sat Feb 27 2016 umeabot <umeabot> 1.0.2-8.mga6
+ Revision: 979829
- Mageia 6 Mass Rebuild

* Thu Jan 08 2015 daviddavid <daviddavid> 1.0.2-7.mga5
+ Revision: 809446
- use .mfiles generated during build
- fix Group

* Wed Oct 15 2014 umeabot <umeabot> 1.0.2-6.mga5
+ Revision: 749206
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.2-5.mga5
+ Revision: 689611
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.2-4.mga4
+ Revision: 519387
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.0.2-3.mga3
+ Revision: 383754
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 14 2012 gil <gil> 1.0.2-2.mga2
+ Revision: 195964
- build fix
  removed repolib
  rebuilt with bea-stax-api support
- imported package sun-sjsxp

  + dmorgan <dmorgan>
    - Clean spec file


* Thu Jul 21 2011 gil <gil> 1.0.2-0.%%mkrel
- initial rpm

